Tag: Gradle

JNI y Gradle en Android Studio

Estoy intentando agregar código nativo a mi aplicación. Tengo todo en ../main/jni como estaba en mi proyecto de Eclipse. He añadido ndk.dir=… a mi local.properties . No he hecho nada más (no estoy seguro de qué más es realmente necesario, así que si he perdido algo, házmelo saber). Cuando intento y construyo consigo este error: […]

No se encontró ningún cliente coincidente para el nombre del paquete (Google Analytics) – multiple productFlavors & buildTypes

Contexto: Estoy intentando configurar Google Analytics para mi aplicación. (Tener 4 buildTypes personalizados y más que unos pocos productFlavors ) Funciona bien cuando selecciono la Build Variant que tiene el com.my.app.package.name applicationId establecido en com.my.app.package.name (el nombre del paquete utilizado al generar el google-services.json ). Pero, mis otros sabores tienen aplicaciones diferentes. Seguí el devguide […]

Travis.yml ./gradlew: Permiso denegado

Uso de Travis CI para un proyecto Android existente $ ./gradlew build connectedCheck Consigo este error: /home/travis/build.sh: line 45: ./gradlew: Permission denied The command "./gradlew build connectedCheck" failed and exited with 126 during .

Error: Error de ejecución de la tarea ': app: dexDebug'. Com.android.ide.common.process.ProcessException

Error: Error de ejecución de la tarea ': app: dexDebug'. Com.android.ide.common.process.ProcessException: org.gradle.process.internal.ExecException: Process 'command' C: \ Archivos de programa \ Java \ jdk1.8.0_40 \ bin \ java.exe ' Valor cero de salida 2 Busqué todas las preguntas y soluciones similares, pero no ayudan. Espero que surjan expertos como tú. El código del proyecto se ha […]

Conflicto con dependencia 'com.android.support:support-annotations'. Las versiones resueltas para la aplicación (23.1.0) y la aplicación de prueba (23.0.1) difieren

Cuando construyo consigo el error siguiente: Conflict with dependency 'com.android.support:support-annotations'. Resolved versions for app (23.1.0) and test app (23.0.1) differ. Estas son mis dependencias gradle dependencies { compile fileTree(include: ['*.jar'], dir: 'libs') compile 'com.android.support:support-v4:23.1.0' compile 'com.android.support:appcompat-v7:23.1.0' compile 'com.android.support:design:23.1.0' compile 'com.android.support:cardview-v7:23.1.0' compile 'com.android.support:recyclerview-v7:23.1.0' compile 'com.squareup.retrofit:retrofit:1.9.0' compile 'com.squareup.okhttp:okhttp:2.4.0' compile 'com.squareup.picasso:picasso:2.5.2' compile 'com.jakewharton:butterknife:7.0.1' compile 'com.squareup:otto:1.3.8' compile 'com.snappydb:snappydb-lib:0.5.2' compile […]

Android Studio sigue recibiendo una versión no soportada de major.minor 52.0

Después de fusionar mi proyecto con algunos cambios de otros desarrolladores, continúo obteniendo lo siguiente: Error:Cause: com/android/build/gradle/internal/model/DefaultAndroidProject : Unsupported major.minor version 52.0 He intentado instalar Java 8, y fijar mi proyecto para utilizar Java 8. Si cambio mi JAVA_HOME a 1.8 en la línea de comando y compilo con gradle trabaja. Si intento usar JAVA_HOME […]

¿Cómo puedo añadir una biblioteca (android-support-v7-appcompat) en IntelliJ IDEA

He creado un proyecto, copiado los archivos de recursos en el proyecto, la biblioteca, lo añadió a la estructura del proyecto, el estilo prescrito Theme.AppCompat . Compilado sin errores, pero cuando empiezas el descenso Excepción: 08-03 00:50:00.406: ERROR/AndroidRuntime(4055): FATAL EXCEPTION: main java.lang.NoClassDefFoundError: android.support.v7.appcompat.R$styleable at android.support.v7.app.ActionBarActivityDelegate.onCreate(ActionBarActivityDelegate.java:98) at android.support.v7.app.ActionBarActivityDelegateICS.onCreate(ActionBarActivityDelegateICS.java:58) at android.support.v7.app.ActionBarActivity.onCreate(ActionBarActivity.java:98) at com.example.SampleMetrRost.CentralActivity.onCreate(CentralActivity.java:12) at android.app.Activity.performCreate(Activity.java:4636) at android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1051) […]

No se puede resolver el símbolo 'AppCompatActivity'

Acabo de intentar utilizar Android Studio. He creado el proyecto en blanco y he intentado crear la Activity que extiende AppCompatActivity . Unfortunalty Android Studio "dice" que No se puede resolver el símbolo 'AppCompatActivity' He compile "com.android.support:appcompat-v7:22.0.+" en la lista de dependencias de mi módulo "app" y reconstruido el proyecto varias veces. Sin embargo, sólo […]

Gradle Build Android Project Error "No se pudo resolver todas las dependencias"

Estoy tratando de construir mi primer proyecto con Gradle y creo que mis archivos gradle y configuración son correctas. Estoy utilizando sólo un módulo y soporte V4 + AppCompatBar librerías. Proyecto – build.gradle allprojects { repositories { mavenCentral() } } Proyecto – settings.gradle include ':AssignmentTempos21' Módulo principal – build.gradle buildscript { repositories { mavenCentral() } […]

Dependencias transitivas no resueltas para una biblioteca aar usando gradle

He investigado un tiempo y probablemente vi las respuestas más populares aquí relacionadas con aar y dependencias transitivas, pero de alguna manera todavía no está claro para mí cómo hacer que esto funcione. Asi que: Tengo la biblioteca del androide con la configuración determinada del gradle: apply plugin: 'android-library' apply plugin: 'android-maven' version = "1.0.0" […]

FlipAndroid es un fan de Google para Android, Todo sobre Android Phones, Android Wear, Android Dev y Aplicaciones para Android Aplicaciones.